# Generated from plist-3.1.0.gem by gem2rpm -*- rpm-spec -*-

%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname plist
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: All-purpose Property List manipulation library
Name: rubygem-%{gemname}
Version: 3.1.0
Release: 5%{?dist}
Group: Development/Languages
License: MIT
URL: http://plist.rubyforge.org
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
Requires: ruby(abi) = 1.8
Requires: rubygems
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

# Mamoru Tasaka applied this patch during the review of this package.
# 
# patched file:  Rakefile
# Subtitute RDoc::Task with Rake::RdocTask which is used in Fedora.
Patch0: plist.RDocTask.patch

%package doc
Summary: Documentation for %{name}
Group: Documentation
BuildArch: noarch
Requires: %{name} = %{version}-%{release}


%description
Plist is a library to manipulate Property List files, also known as plists. 
It can parse plist files into native Ruby data structures as well as
generating new plist files from your Ruby objects.

#--

%description doc
This package contains Rakefile, test directory and documentation for
%{name}.


%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install -V --local --install-dir %{buildroot}%{gemdir} --rdoc %{SOURCE0}
find %{buildroot}%{geminstdir}/lib -name *.rb -exec chmod 755 {} \;

# Apply the patch which is needed that the tests successfully complete
cd  %{buildroot}%{geminstdir}
patch -p0 < %{PATCH0}


%clean
rm -rf %{buildroot}


%check
pushd %{buildroot}%{geminstdir}
rake test


%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%doc %{geminstdir}/CHANGELOG
%doc %{geminstdir}/LICENSE
%doc %{geminstdir}/README.rdoc
%{geminstdir}/lib
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-, root, root, -)
%{geminstdir}/Rakefile
# mark this as documentation to get not
#  W: no-documentation
#  E: non-executable-script  (for *.rb files)
# from rpmlint
%doc %{geminstdir}/test
%{gemdir}/doc/%{gemname}-%{version}


%changelog
* Fri Jun 18 2010 Gerd Pokorra <gp@zimt.uni-siegen.de> - 3.1.0-5
- add comments about the patch and rename the file

* Wed Jun 16 2010 Gerd Pokorra <gp@zimt.uni-siegen.de> - 3.1.0-4
- use "Patch0" instead of "Source1" as tag for the patch

* Tue Jun 15 2010 Gerd Pokorra <gp@zimt.uni-siegen.de> - 3.1.0-3
- add "BuildRequires: rubygem(rake)"

* Tue Jun 15 2010 Gerd Pokorra <gp@zimt.uni-siegen.de> - 3.1.0-2
- require the Ruby ABI version it depends on
- add empty prep- and build-section again
- add patch from Mamoru Tasaka

* Mon Jun 07 2010 Gerd Pokorra <gp@zimt.uni-siegen.de> - 3.1.0-1
- make *.rb files executable or mark them as doc to have no rpmlint errors
- add doc-subpackage
- use "global" macro instead of "define" macro
- changed license tag
- Initial package
